<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="content-header">
  <div class="view-project-card__btn" *ngIf="objFunction.approve">
    <mb-button mbButtonSize='LARGE' mbButtonAvailableStyle='PRIMARY' (click)="handleApprovedProject()"
      mbButtonText='Duyệt'></mb-button>
    <mb-button mbButtonSize='LARGE' mbButtonAvailableStyle='DEFAULT' (click)="reject()" mbButtonText='Từ chối'>
    </mb-button>
  </div>
</div>
<div>
  <div class="input-style input-style__input" *ngIf="objFunction.approve">
      <mb-input-text [(ngModel)]="description" [mbType]="isValid ? 'error' : 'default'" [mbLabelText]=""
        [mbShowFlexEnd]="false" [mbMaxLength]="400" (keyup)="onChangeInput($event)">
      </mb-input-text>
    <div [ngClass]="isValid?'error-area':'count-text'">
      <div class="error" *ngIf="isValid">
        <em nz-icon nzType="close-circle" nzTheme="outline"></em>
        <span>{{'modelOrganization.approvedStaff.notification.noDescription' | translate }}</span>
    </div>
    <div class="max-length-input"><span>{{description.length}}/400</span></div>
    </div>
  </div>
</div>
<nz-card class="view-project-card">
  <div nz-row>
    <div nz-col nzSpan="12" class="view-project-card-border-right">
      <div nz-row>
        <div nz-col nzSpan="12" class="view-project-card__left">
          <nz-form-label [nzNoColon]="true" class="text-left-project">Tên dự án
          </nz-form-label>
          <div>
            <label>{{detailProject && detailProject.prjName}}</label>
          </div>
        </div>
        <div nz-col nzSpan="12" class="view-project-card__center">
          <div>
            <nz-form-label [nzNoColon]="true" class="text-left-project">Số quyết
              định</nz-form-label>
          </div>
          <div>
            <label>{{detailProject && detailProject.sheetApproval.sapNo}}</label>
          </div>
        </div>
      </div>
      <div nz-row>
        <div nz-col nzSpan="12" class="view-project-card__left">
          <nz-form-label [nzNoColon]="true" class="text-left-project">File đính
            kèm</nz-form-label>
          <div>
            <a (click)="downloadFile()">{{detailProject?.document && detailProject?.document?.fileName}}</a>
          </div>
        </div>
        <div nz-col nzSpan="12" class="view-project-card__center">
          <nz-form-label [nzNoColon]="true" class="text-left-project">Đơn vị quản lý dự án
          </nz-form-label>
          <ng-container *ngIf="detailProject && detailProject.organizations">
            <div *ngFor="let data of detailProject.organizations">
              <label>{{data.orgName}}</label>
            </div>
          </ng-container>

        </div>
      </div>
      <div nz-row>
        <div nz-col nzSpan="12" class="view-project-card__left">
          <nz-form-label [nzNoColon]="true" class="text-left-project">Ngày hiệu lực
          </nz-form-label>
          <div>
            <label>{{detailProject && detailProject.fromDate}}</label>
          </div>
        </div>
        <div nz-col nzSpan="12" class="view-project-card__center">
          <nz-form-label [nzNoColon]="true" class="text-left-project">Ngày hết hiệu lực
          </nz-form-label>
          <div>
            <label>{{detailProject && detailProject.toDate}}</label>
          </div>
        </div>
      </div>
      <div nz-row>
        <div nz-col nzSpan="14" class="view-project-card__left">
          <nz-form-label [nzNoColon]="true" class="text-left-project">Mã dự án
          </nz-form-label>
          <div>
            <label>{{detailProject && detailProject.prjCode}}</label>
          </div>
        </div>
      </div>
      <div nz-row>
        <div nz-col nzSpan="14" class="view-project-card__left wrap-text">
          <nz-form-label [nzNoColon]="true" class="text-left-project">Phạm vi công việc
          </nz-form-label>
          <div>
            <label>{{detailProject && detailProject.scopeContents}}</label>
          </div>
        </div>
      </div>
    </div>
    <div nz-col nzSpan="12" class="custom-padding-for-job">
      <div nz-row>
        <div nz-col nzSpan="24">
          <ng-container *ngIf="detailProject && detailProject.projectPositions">
            <div nz-row *ngFor="let data of detailProject.projectPositions; let i = index">
              <div nz-col nzSpan="12">
                <nz-form-label [nzNoColon]="true" *ngIf="i === 0" style="font-weight: bold;">Job</nz-form-label>
                <div>
                  <label>{{data.jobName}}</label>
                </div>
              </div>
              <div nz-col nzSpan="12">
                <nz-form-label [nzNoColon]="true" *ngIf="i === 0" style="font-weight: bold;">Số lượng</nz-form-label>
                <div>
                  <label>{{data.headCount}}</label>
                </div>
              </div>
            </div>
          </ng-container>
          <nz-divider></nz-divider>
        </div>
        <div nz-col nzSpan="24">
          <ng-container *ngIf="listCriteria">
            <div nz-row *ngFor="let data of listCriteria; let i = index">
              <div nz-col nzSpan="12">
                <nz-form-label [nzNoColon]="true" *ngIf="i === 0" style="font-weight: bold;">Tiêu chí</nz-form-label>
                <div>
                  <label *ngIf="data.selectedValue">{{data && data.lvaMean}}</label>
                </div>
              </div>
              <div nz-col nzSpan="12">
                <nz-form-label [nzNoColon]="true" *ngIf="i === 0" style="font-weight: bold;">Thuộc tính</nz-form-label>
                <div>
                  <label>{{data && data.selectedValue}}</label>
                </div>

              </div>
            </div>
          </ng-container>
        </div>
      </div>
    </div>
  </div>
</nz-card>
<nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
  [nzStyle]="{ width: '80vw' }" (nzOnCancel)="handleCancel()">
  <ng-template #modalTitle>View PDF File</ng-template>

  <ng-template #modalContent>
    <div>
      <pdf-viewer [src]="pdfSrc" [show-all]="true" [fit-to-page]="true" [render-text]="true" [original-size]="true"
        class="pdf-view"></pdf-viewer>
    </div>
  </ng-template>

  <ng-template #modalFooter>
    <p></p>
  </ng-template>
</nz-modal>
